# Note that this is NOT a relocatable package
%define prefix   /usr

Summary: A library which retrieves system information.
Name: libgtop
Version: 1.0.12
Release: 17
Epoch: 1
Copyright: GPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libgtop/libgtop-%{version}.tar.gz
Patch: libgtop-1.0.12-isdn.patch
URL: ftp://ftp.gnome.org/pub/GNOME/sources/libgtop/
Prereq: /sbin/install-info
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gnome-libs-devel bc

%description
The LibGTop library fetches information about the running system, such
as CPU load, memory usage and active processes. On Linux systems, this
information is taken directly from the /proc filesystem.

%package devel
Summary: Files needed to develop LibGTop applications.
Group: Development/Libraries
Requires: libgtop = %{PACKAGE_VERSION}
Obsoletes: libgtop-examples

%description devel
LibGTop is a library that that retrieves system-related information
about running processes, CPU load and memory usage. The libgtop-devel
package contains the library and include files needed for LibGTop
development.

%prep
%setup -q
%patch -p1 -b .isdn

%build

%configure \
	--without-linux-table --with-libgtop-inodedb \
	--with-libgtop-smp 

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -f $RPM_BUILD_ROOT/%{_bindir}/libgtop_daemon
rm -f $RPM_BUILD_ROOT/%{_bindir}/file_by_inode
rm -f $RPM_BUILD_ROOT/%{_bindir}/mkinodedb

## delete things that used to be in the "libgtop-examples" 
## subpackage.
/bin/rm -rf $RPM_BUILD_ROOT/%{_libexecdir}/libgtop/*

## delete info pages not worth fooling with
/bin/rm -rf $RPM_BUILD_ROOT/%{_datadir}/info

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc RELNOTES-0.25 RELNOTES-1.0 AUTHORS ChangeLog NEWS README
%doc copyright.txt src/inodedb/README.inodedb

%{_libdir}/lib*.so.*
%{_bindir}/*

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
%{_libdir}/*.def
%{_includedir}/*

%changelog
* Tue Feb 11 2003 Bill Nottingham <notting@redhat.com> 1.0.12-17
- obsolete libgtop-examples
- fix URL (#74922)

* Tue Jan 28 2003 Havoc Pennington <hp@redhat.com>
- fix build

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- kill the "examples" subpackage.

* Tue Dec 03 2002 Elliot Lee <sopwith@redhat.com>
- Fix missing doc files

* Mon Nov 11 2002 Tim Powers <timp@redhat.com> 
- rebuild against new guile

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- rebuild in hopes of losing non-PIC code

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Mar  7 2002 Havoc Pennington <hp@redhat.com>
- remove libgtop_daemon, file_by_inode, mkinodedb. #53424
- some spec file cleanup

* Tue Jan 28 2002 Bill Nottingham <notting@redhat.com>
- rebuild (dependencies)

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Sep 28 2001 Havoc Pennington <hp@redhat.com>
- fix license tag

* Tue Jul 17 2001 Havoc Pennington <hp@redhat.com>
- build requires gnome-libs-devel 

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue Jun 12 2001 Than Ngo <than@redhat.com>
- fix isdn stuff to build against kernel-2.4.x

* Tue Apr 17 2001 Jonathan Blandford <jrb@redhat.com>
- New Version.

* Thu Mar 01 2001 Owen Taylor <otaylor@redhat.com>
- Rebuild for GTK+-1.2.9

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- langify
- move changelog to end of spec file

* Thu Nov 30 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.10

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Updated Epoch

* Tue Aug 01 2000 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.9, attempt to fix bugzilla #14105

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Matt Wilson <msw@redhat.com>
- no Docdir:
- use %%makeinstall

* Wed May  3 2000 Bill Nottingham <notting@redhat.com>
- configure tweaks for ia64

* Wed Sep 08 1999 Elliot Lee <sopwith@redhat.com>
- Update to 1.0.2

* Tue Aug 19 1998 Martin Baulig <martin@home-of-linux.org>

- released LibGTop 0.25.0

* Sun Aug 16 1998 Martin Baulig <martin@home-of-linux.org>

- first version of the RPM

